/*******************************************************************************
 * Copyright (c) 2000, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package java.util;

public interface Map {

public static interface Entry {
	
	public boolean equals(Object other);
	
	public Object getKey();
	
	public Object getValue();
	
	public int hashCode();
	
	public void setValue(Object value);
}

public void clear();

public boolean containsKey(Object key);

public boolean containsValue(Object value);

public Set entrySet();

//public boolean equals(Object other);

public Object get(Object key);

//public int hashCode();

public boolean isEmpty();

public Set keySet();

public Object put(Object key, Object value);

public void putAll(Map t);

public Object remove(Object key);

public int size();

public Collection values();
	
}
